commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rami Ojares" <rami.oja...@elisa.fi>
Subject Re: [vfs][all][poll]regular expression library or jdk1.4 as minimum requirement
Date Tue, 15 Jun 2004 21:08:35 GMT
Hi,

The problem with having a generic interface for different regex implementations
is that the syntax and semantics of regexes are different. I want to know
EXACTLY what my regexes match and what constucts/syntax I can use.

The implementations are not only implementations but they define also the form
and meaning of the regexes that they use.

Even though most of the constructs are the same there are differences. Many
packages let themselves be configured to understand different dialects which
proves my point.

Let's call the set of allowed regexes as regex language.

The best candidate in my humble opinion for regex language is the one defined in
jdk 1.4. What would be needed is a separate package that would implement jdk 1.4
regex lang and could be used together with older jdk's.

Could ORO do this?

Therefore one can never avoid dependency to the regex language he uses.

[X] Dont bother and use jdk1.4 as minimum requirement OR write separate package
that works exactly like jdk 1.4 on earlier jdk's

- Rami Ojares

---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message